=== debian/control ===
Source: libtk-gbarr-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@iki.fi>,
           gregor herrmann <gregoa@debian.org>,
           Damyan Ivanov <dmn@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
                     perl-tk,
                     xauth <!nocheck>,
                     xfonts-base <!nocheck>,
                     xvfb <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtk-gbarr-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtk-gbarr-perl.git
Homepage: https://metacpan.org/release/Tk-GBARR
Rules-Requires-Root: no

Package: libtk-gbarr-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         perl-tk
Description: various Tk Perl widgets
 A contribution to the ever growing collection of Tk Widgets, currently it
 includes:
 .
     Tk::Cloth       - An OO interface to Tk::Canvas
     Tk::TFrame      - A frame with a title
     Tk::NumEntry    - An entry widget that accepts numbers and has up/down
                       buttons for in/decrement.
     Tk::FireButton  - Button that keeps invoking command when pressed
 .
 Tk::Pane and Tk::ProgressBar are no longer part of this
 distribution, because they are included in standard Perl/Tk since
 800.016.
