=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=$(shell dh_listpackages)
TMP	=$(CURDIR)/debian/$(PACKAGE)

include /usr/share/dpkg/architecture.mk
PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
ARCHLIB := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER) -MConfig -e 'print $$Config{vendorarch}')

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(TMP)/usr/share/perl5
	mv $(TMP)$(ARCHLIB)/Tk $(TMP)/usr/share/perl5/Tk
	# remove /usr/share/perl5/Tk/demos, we install them to examples/
	[ ! -d $(TMP)/usr/share/perl5/Tk/demos ] || rm -rvf $(TMP)/usr/share/perl5/Tk/demos
	[ ! -d $(TMP)$(ARCHLIB) ] || rmdir --ignore-fail-on-non-empty --parents --verbose $(TMP)$(ARCHLIB)

override_dh_installexamples:
	# make sure all demo programs are not executable
	chmod 0644 $(CURDIR)/examples/*
	dh_installexamples
	sed -i '1s|^#!/usr/local/binperl|#!/usr/bin/perl|' $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
