=== debian/watch ===
version=4
https://metacpan.org/release/Tk-GBARR   .*/Tk-GBARR-v?@ANY_VERSION@@ARCHIVE_EXT@$
